CVEdetails.com the ultimate security vulnerability data source
(e.g.: CVE-2009-1234 or 2010-1234 or 20101234)
Log In   Register
Vulnerability Feeds & WidgetsNew   www.itsecdb.com  

Vulnerability Details : CVE-2006-4192

Multiple buffer overflows in MODPlug Tracker (OpenMPT) 1.17.02.43 and earlier and libmodplug 0.8 and earlier, as used in GStreamer and possibly other products, allow user-assisted remote attackers to execute arbitrary code via (1) long strings in ITP files used by the CSoundFile::ReadITProject function in soundlib/Load_it.cpp and (2) crafted modules used by the CSoundFile::ReadSample function in soundlib/Sndfile.cpp, as demonstrated by crafted AMF files.
Publish Date : 2006-08-16 Last Update Date : 2011-05-11
Search Twitter   Search YouTube   Search Google

- CVSS Scores & Vulnerability Types

CVSS Score
5.1
Confidentiality Impact Partial (There is considerable informational disclosure.)
Integrity Impact Partial (Modification of some system files or information is possible, but the attacker does not have control over what can be modified, or the scope of what the attacker can affect is limited.)
Availability Impact Partial (There is reduced performance or interruptions in resource availability.)
Access Complexity High (Specialized access conditions exist. It is hard to exploit and several special conditions must be satisfied to exploit)
Authentication Not required (Authentication is not required to exploit the vulnerability.)
Gained Access User
Vulnerability Type(s) Execute CodeOverflow
CWE ID CWE id is not defined for this vulnerability

- Additional Vendor Supplied Data

Vendor Impact CVSS Score CVSS Vector Report Date Publish Date
Redhat low
5.1
AV:N/AC:H/Au:N/C:P/I:P/A:P 2007-01-22 2006-10-06
If you are a vendor and you have additional data which can be automatically imported into our database, please contact admin @ cvedetails.com

- Related OVAL Definitions

Title Definition Id Class Family
RHSA-2011:0477: gstreamer-plugins security update (Important) oval:com.redhat.rhsa:def:20110477 unix
OVAL (Open Vulnerability and Assessment Language) definitions define exactly what should be done to verify a vulnerability or a missing patch. Check out the OVAL definitions if you want to learn what you should do to verify a vulnerability.

- Products Affected By CVE-2006-4192

# Product Type Vendor Product Version Update Edition Language
1 Application Modplug Tracker 1.17.02.43 Version Details Vulnerabilities

- Number Of Affected Versions By Product

Vendor Product Vulnerable Versions
Modplug Tracker 1

- References For CVE-2006-4192

http://secunia.com/advisories/26979
SECUNIA 26979
http://secunia.com/advisories/22658
SECUNIA 22658
http://secunia.com/advisories/22080
SECUNIA 22080
http://secunia.com/advisories/23294
SECUNIA 23294
http://secunia.com/advisories/23555
SECUNIA 23555
http://securityreason.com/securityalert/1397
SREASON 1397
http://security.gentoo.org/glsa/glsa-200612-04.xml
GENTOO GLSA-200612-04
http://www.mandriva.com/security/advisories?name=MDKSA-2007:001
MANDRIVA MDKSA-2007:001
http://www.novell.com/linux/security/advisories/2006_23_sr.html
SUSE SUSE-SR:2006:023
http://aluigi.altervista.org/adv/mptho-adv.txt
http://www.ubuntu.com/usn/usn-521-1
UBUNTU USN-521-1
http://www.vupen.com/english/advisories/2006/4310
VUPEN ADV-2006-4310
http://www.vupen.com/english/advisories/2006/3231
VUPEN ADV-2006-3231
http://secunia.com/advisories/21418
SECUNIA 21418
http://www.securityfocus.com/bid/19448
BID 19448 OpenMPT Multiple Remote Code Execution Vulnerabilities Release Date:2007-09-28
http://cgit.freedesktop.org/gstreamer/gst-plugins-bad/commit/?id=bc2cdd57d549ab3ba59782e9b395d0cd683fd3ac CONFIRM
http://www.securityfocus.com/archive/1/archive/1/442721/100/100/threaded
BUGTRAQ 20060809 Stack and heap overflows in MODPlug Tracker/OpenMPT 1.17.02.43 and libmodplug 0.8
https://bugzilla.redhat.com/show_bug.cgi?id=497154 CONFIRM
http://xforce.iss.net/xforce/xfdb/28309
XF openmpt-readsample-bo(28309)
http://xforce.iss.net/xforce/xfdb/28305
XF openmpt-loadit-bo(28305)
https://rhn.redhat.com/errata/RHSA-2011-0477.html
REDHAT RHSA-2011:0477

- Metasploit Modules Related To CVE-2006-4192

There are not any metasploit modules related to this CVE entry (Please visit www.metasploit.com for more information)


CVE is a registred trademark of the MITRE Corporation and the authoritative source of CVE content is MITRE's CVE web site. CWE is a registred trademark of the MITRE Corporation and the authoritative source of CWE content is MITRE's CWE web site. OVAL is a registered trademark of The MITRE Corporation and the authoritative source of OVAL content is MITRE's OVAL web site.
Use of this information constitutes acceptance for use in an AS IS condition. There are NO warranties, implied or otherwise, with regard to this information or its use. Any use of this information is at the user's risk. It is the responsibility of user to evaluate the accuracy, completeness or usefulness of any information, opinion, advice or other content. EACH USER WILL BE SOLELY RESPONSIBLE FOR ANY consequences of his or her direct or indirect use of this web site. ALL WARRANTIES OF ANY KIND ARE EXPRESSLY DISCLAIMED. This site will NOT BE LIABLE FOR ANY DIRECT, INDIRECT or any other kind of loss.